<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/ui_surface">

    <com.gh.common.view.SimpleToggleView
        android:id="@+id/headerContainer"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        app:layout_constraintTop_toTopOf="parent" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/headerContainer">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/list_rv"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

        <include
            layout="@layout/reuse_loading"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true" />

        <include layout="@layout/reuse_no_connection" />

        <include
            android:id="@+id/reuse_none_data"
            layout="@layout/reuse_none_data" />

        <include
            android:id="@+id/reuse_data_exception"
            layout="@layout/reuse_data_exception" />

    </RelativeLayout>

</androidx.constraintlayout.widget.ConstraintLayout>